### R code from vignette source 'ex22.Rnw'

###################################################
### code chunk number 1: ex22.Rnw:57-58
###################################################
print(histogram(jura.all$Pb, nint=12))


###################################################
### code chunk number 2: skew-un
###################################################
require(e1071)
skewness(jura.all$Pb)


###################################################
### code chunk number 3: ex22.Rnw:89-90
###################################################
print(histogram(log10(jura.all$Pb), nint=12))


###################################################
### code chunk number 4: skew-log
###################################################
skewness(log10(jura.all$Pb))
kurtosis(log10(jura.all$Pb))


###################################################
### code chunk number 5: ex22.Rnw:111-117
###################################################
jura.all[1:2,]
jura.all$Pb[1:2]
log10(jura.all$Pb[1:2])
diff(log10(jura.all$Pb[1:2]))
diff(log10(jura.all$Pb[1:2])^2)
0.5 * (diff(log10(jura.all$Pb[1:2]))^2)


###################################################
### code chunk number 6: delta.coord
###################################################
coordinates(jura.all)[1:2,]
diff(coordinates(jura.all)[1:2,"X"])
diff(coordinates(jura.all)[1:2,"X"])^2
diff(coordinates(jura.all)[1:2,"Y"])
diff(coordinates(jura.all)[1:2,"Y"])^2
sqrt(diff(coordinates(jura.all)[1:2,"X"])^2 +
     diff(coordinates(jura.all)[1:2,"Y"])^2)


###################################################
### code chunk number 7: ex22.Rnw:156-157
###################################################
(dim(jura.all)[1] * (dim(jura.all)[1]-1))/2


###################################################
### code chunk number 8: ex22.Rnw:170-172
###################################################
vc <- variogram(log10(Pb) ~ 1, loc=jura.all, cloud=T)
head(vc)


###################################################
### code chunk number 9: ex22.Rnw:185-187
###################################################
plot(vc, main="Variogram cloud, log10(Pb)",
     xlab="separation distance, km")


###################################################
### code chunk number 10: ex22.Rnw:218-220
###################################################
v <- variogram(log10(Pb) ~ 1, loc=jura.all)
print(v)


###################################################
### code chunk number 11: ex22.Rnw:246-247
###################################################
class(v)


###################################################
### code chunk number 12: ex22.Rnw:255-256
###################################################
print(plot(v, plot.numbers=T, main="Empirical variogram, log10(Pb)", xlab="separation distance, km", col="darkblue", pch=20))


###################################################
### code chunk number 13: ex22.Rnw:282-283
###################################################
bbox(jura.all)


###################################################
### code chunk number 14: ex22.Rnw:288-290
###################################################
diff(bbox(jura.all)["X",])
diff(bbox(jura.all)["Y",])


###################################################
### code chunk number 15: ex22.Rnw:295-296
###################################################
sqrt(diff(bbox(jura.all)[1,])^2 + diff(bbox(jura.all)[2,])^2)/3


###################################################
### code chunk number 16: ex22.Rnw:301-302
###################################################
dist(t(bbox(jura.all)))/3


###################################################
### code chunk number 17: ex22.Rnw:313-316
###################################################
v.08 <- variogram(log10(Pb) ~ 1, loc=jura.all, cutoff=1, width=0.08)
print(v.08)
print(plot(v.08, pl=T, main="Empirical variogram, log10(Pb)", xlab="separation distance, km", col="darkblue", pch=20))


###################################################
### code chunk number 18: ex22.Rnw:327-328 (eval = FALSE)
###################################################
## rm(v, v.08, vc)


###################################################
### code chunk number 19: ex22.Rnw:420-423
###################################################
data(meuse)
coordinates(meuse) <- ~ x +y
str(meuse)


###################################################
### code chunk number 20: ex22.Rnw:453-457
###################################################
print(plot(variogram(log(zinc)~1, meuse, map=TRUE,
                     cutoff=800, width=100),
           main="Variogram map, Meuse River, log(zinc)",
           col.regions=bpy.colors(64)))


###################################################
### code chunk number 21: ex22.Rnw:476-480
###################################################
print(plot(variogram(Ni ~ 1, jura.all, map=TRUE,
                     cutoff=1.2, width=0.2),
           main="Variogram map, Jura soil samples, Nickel",
           col.regions=terrain.colors(64)))


###################################################
### code chunk number 22: ex22.Rnw:493-498
###################################################
print(plot(variogram(log(zinc)~1, meuse,
                     alpha=c(30,120), cutoff=1600 ),
           main="Directional Variograms, Meuse River, log(zinc)",
           sub="Azimuth 30N (left), 120N (right)", plot.numbers=T,
           pch=20, col="blue"))


###################################################
### code chunk number 23: ex22.Rnw:519-524
###################################################
print(plot(variogram(log(zinc)~1, meuse,
                     alpha=seq(0, 150, by=30),
                     cutoff=1600 ),
           main="Directional variograms, Meuse River, log(Zn)",
           pl=T, pch=20, col="blue"))


###################################################
### code chunk number 24: ex22.Rnw:576-577
###################################################
rm(v, v.08, vc)


