### R code from vignette source 'ex42.Rnw'

###################################################
### code chunk number 1: ex42.Rnw:49-50 (eval = FALSE)
###################################################
## load("Jura.RData")


###################################################
### code chunk number 2: ex42.Rnw:54-55
###################################################
load("/Users/rossiter/tmp/dgeostat/jura.RData")


###################################################
### code chunk number 3: ex42.Rnw:64-66
###################################################
jura.cal <- jura.all[1:259,]
jura.val <- jura.all[260:359,]


###################################################
### code chunk number 4: ex42.Rnw:75-77
###################################################
v <- variogram(Co ~ 1, loc=jura.cal, cutoff=1.6)
(vmf <- fit.variogram(v, vgm(12.5, "Pen", 1.2, 1.5)))


###################################################
### code chunk number 5: ex42.Rnw:107-109
###################################################
k.val <- krige(Co ~ 1, loc=jura.cal, newdata=jura.val, model=vmf)
summary(k.val)


###################################################
### code chunk number 6: ex42.Rnw:122-127
###################################################
print(spplot(k.val, zcol="var1.pred",
col.regions=bpy.colors(64),
key.space="right",
main="Predicted values, Co (ppm)", xlab="UTM E", ylab="UTM N",
scales=list(draw=T)))


###################################################
### code chunk number 7: ex42.Rnw:132-137
###################################################
print(spplot(k.val, zcol="var1.var",
col.regions=topo.colors(64),
key.space="right",
main="Kriging variance, Co (ppm^2)", xlab="UTM E", ylab="UTM N",
scales=list(draw=T)))


###################################################
### code chunk number 8: ex42.Rnw:177-178
###################################################
(z.val <- qnorm(0.975))


###################################################
### code chunk number 9: ex42.Rnw:184-185
###################################################
sqrt(k.val$var1.var[1]); (ciw <- z.val * sqrt(k.val$var1.var[1]))


###################################################
### code chunk number 10: ex42.Rnw:190-191
###################################################
k.val$var1.pred[1]; k.val$var1.pred[1] - ciw; k.val$var1.pred[1] + ciw


###################################################
### code chunk number 11: ex42.Rnw:204-205 (eval = FALSE)
###################################################
## rm(z.val, ciw)


###################################################
### code chunk number 12: ex42.Rnw:228-232
###################################################
vc <- variogram(Co ~ 1, loc=jura.cal, cloud=T, cutoff=.1)
str(vc)
min(vc$dist)
sum(vc$dist < .1)


###################################################
### code chunk number 13: ex42.Rnw:250-255
###################################################
bbox(jura.all)
diff(bbox(jura.all)["X",]); diff(bbox(jura.all)["Y",])
area <- diff(bbox(jura.all)["X",]) * diff(bbox(jura.all)["Y",])
for (i in c(100, 50, 20, 5)) print(paste("spacing", i, "m requires ", ceiling(area*(1000^2)/(i^2)), "points"))
rm(area)


###################################################
### code chunk number 14: ex42.Rnw:276-283
###################################################
(min.x <- floor((bbox(jura.all)["X", "min"] - 0.1)*10)/10)
(max.x <- ceiling((bbox(jura.all)["X", "max"] + 0.1)*10)/10)
(min.y <- floor((bbox(jura.all)["Y", "min"] - 0.1)*10)/10)
(max.y <- ceiling((bbox(jura.all)["Y", "max"] + 0.1)*10)/10)
(cells.x <- (max.x - min.x)*20)
(cells.y <- (max.y - min.y)*20)
cells.x * cells.y


###################################################
### code chunk number 15: ex42.Rnw:299-302
###################################################
jura.raster <- SpatialGrid(GridTopology(c(min.x+.025, min.y+.025), c(0.05, 0.05), c(cells.x, cells.y)))
str(jura.raster)
rm(min.x, max.x, min.y, max.y, cells.x, cells.y)


###################################################
### code chunk number 16: ex42.Rnw:311-313
###################################################
k.grid <- krige(Co ~ 1, loc=jura.cal, newdata=jura.raster, model=vmf)
summary(k.grid)


###################################################
### code chunk number 17: ex42.Rnw:325-330
###################################################
print(spplot(k.grid, zcol="var1.pred", pretty=T,
             contour=T, col.regions=bpy.colors(64),
             main="Predicted values, Co (ppm)", 
             xlab="UTM E", ylab="UTM N",
             scales=list(draw=T)))


###################################################
### code chunk number 18: ex42.Rnw:339-344
###################################################
print(spplot(k.grid, zcol="var1.var", pretty=T,
             contour=T, col.regions=topo.colors(64),
             main="Kriging variance, Co (ppm^2)",
             xlab="UTM E", ylab="UTM N",
             scales=list(draw=T)))


###################################################
### code chunk number 19: ex42.Rnw:349-355
###################################################
k.grid$var1.sd <- sqrt(k.grid$var1.var)
print(spplot(k.grid, zcol="var1.sd", pretty=T,
             contour=T, col.regions=terrain.colors(64),
             main="Kriging standard deviation, Co (ppm)",
             xlab="UTM E", ylab="UTM N",
             scales=list(draw=T)))


###################################################
### code chunk number 20: ex42.Rnw:384-386
###################################################
(jura.test <- jura.cal[1,])
jura.test$Co


###################################################
### code chunk number 21: ex42.Rnw:395-397
###################################################
print(vmf[1,])
(k.test <- krige(Co ~ 1, loc=jura.cal, newdata=jura.test, model=vmf))


###################################################
### code chunk number 22: ex42.Rnw:424-429
###################################################
(jura.test <- as.data.frame(jura.test))
jura.test$X <- jura.test$X+.001
jura.test$Y <- jura.test$Y+.001
coordinates(jura.test) <- ~ X + Y
print(jura.test)


###################################################
### code chunk number 23: ex42.Rnw:434-435
###################################################
(k.test <- krige(Co ~ 1, loc=jura.cal, newdata=jura.test, model=vmf))


###################################################
### code chunk number 24: ex42.Rnw:534-535
###################################################
save(jura.all, jura.cal, jura.val, jura.raster, jura.grid, vmf, k.val, k.grid, file = "/Users/rossiter/data/edu/dgeostats/ex/ds/jura/cooked/JuraEx4.RData") 


###################################################
### code chunk number 25: ex42.Rnw:539-540 (eval = FALSE)
###################################################
## save(jura.all, jura.cal, jura.val, jura.raster, jura.grid, vmf, k.val, k.grid, file = "JuraEx4.RData") 


