### R code from vignette source 'ex44.Rnw'

###################################################
### code chunk number 1: ex44.Rnw:34-35
###################################################
(jura.pred.6 <- jura.pred[1:6,"Co"])


###################################################
### code chunk number 2: ex44.Rnw:42-43
###################################################
bbox(jura.pred.6); bbox(jura.pred)


###################################################
### code chunk number 3: ex44.Rnw:52-58
###################################################
jura.pt <- SpatialPoints(data.frame(Xloc=3, Yloc=2.5))
str(jura.pt)
plot(coordinates(jura.pred.6), col="blue", pch=20, asp=1, main="Sample and prediction points", sub="Co concentration")
text(coordinates(jura.pred.6)[,"Xloc"], coordinates(jura.pred.6)[,"Yloc"], col="blue", pos=2, jura.pred.6$Co)
points(coordinates(jura.pt), col="red", cex=1.2, pch=20)
text(coordinates(jura.pt), col="red", pos=2, "??")


###################################################
### code chunk number 4: ex44.Rnw:67-68
###################################################
k.pt <- krige(Co ~ 1, locations=jura.pred.6, newdata=jura.pt, model=vmf, debug.level=32)


###################################################
### code chunk number 5: ex44.Rnw:93-94
###################################################
print(k.pt)


###################################################
### code chunk number 6: ex44.Rnw:101-105
###################################################
plot(coordinates(jura.pred.6), col="blue", pch=20, asp=1, main="Sample and prediction points", sub="Co concentration")
text(coordinates(jura.pred.6)[,"Xloc"], coordinates(jura.pred.6)[,"Yloc"], col="blue", pos=2, jura.pred.6$Co)
points(coordinates(jura.pt), col="red", cex=1.2, pch=20)
text(coordinates(jura.pt), col="red", pos=4, paste(round(k.pt$var1.pred,2),"+/-",round(sqrt(k.pt$var1.var),3)))


###################################################
### code chunk number 7: save.ok.string
###################################################
tmp.ok <- capture.output(krige(Co ~ 1, locations=jura.pred.6, newdata=jura.pt, model=vmf, debug.level=32))
# sink()


###################################################
### code chunk number 8: find.wts
###################################################
(ix <- which(tmp.ok=="# kriging weights:"))
(n <- as.numeric(strsplit(tmp.ok[ix+1]," ")[[1]][2]))
(ix <- which(tmp.ok=="# kriging weights:"))
ok.wt <- NULL; for (i in 1:n) ok.wt[i] <- as.numeric(strsplit(tmp.ok[ix+1+i],":")[[1]][2])
print(ok.wt)


###################################################
### code chunk number 9: ex44.Rnw:130-142
###################################################
plot(coordinates(jura.pred.6), col="darkgreen",
     pch=20, asp=1, ylim=c(0,5),
     main="Ordinary Kriging weights")
grid()
text(coordinates(jura.pred.6)[,"Xloc"],
     coordinates(jura.pred.6)[,"Yloc"],
     col="black", pos=4, round(ok.wt, 3))
text(coordinates(jura.pred.6)[,"Xloc"],
     coordinates(jura.pred.6)[,"Yloc"],
     col="blue", pos=3, 1:6)
points(coordinates(jura.pt), col="red",
       cex=2, pch=20)


###################################################
### code chunk number 10: ex44.Rnw:163-165
###################################################
(jura.pt <- as(jura.pred[1,], "SpatialPoints"))
(k.pt <- krige(Co ~ 1, locations=jura.pred.6, newdata=jura.pt, model=vmf, debug.level=32))


###################################################
### code chunk number 11: ex44.Rnw:182-183 (eval = FALSE)
###################################################
## rm(jura.pred.6, jura.pt, k.pt)


###################################################
### code chunk number 12: ex44.Rnw:210-211
###################################################
rm(jura.pred.6, jura.pt, k.pt)


