### R code from vignette source 'ex54.Rnw'

###################################################
### code chunk number 1: uk.insight.select
###################################################
(jura.cal.6 <- jura.cal[1:6,"Co"])
(jura.pt <- SpatialPoints(data.frame(X=3, Y=2.5)))


###################################################
### code chunk number 2: uk.insight.pred
###################################################
k.pt <- krige(Co ~ X + Y, locations=jura.cal.6, newdata=jura.pt, model=vrmf, debug.level=32)


###################################################
### code chunk number 3: ex54.Rnw:80-81
###################################################
print(k.pt)


###################################################
### code chunk number 4: ex54.Rnw:88-100
###################################################
plot(coordinates(jura.cal.6), col="blue",
     pch=20, asp=1,
     main="Sample and prediction points, UK",
     sub="Co concentration")
text(coordinates(jura.cal.6)[,"X"],
     coordinates(jura.cal.6)[,"Y"],
     col="blue", pos=2, jura.cal.6$Co)
points(coordinates(jura.pt), col="red",
       cex=1.2, pch=20)
text(coordinates(jura.pt), col="red", pos=4,
     paste(round(k.pt$var1.pred,2),"+/-",
           round(sqrt(k.pt$var1.var),3)))


###################################################
### code chunk number 5: save.uk.string
###################################################
# tempdir()
# (tmp.file <- tempfile())
# sink(file=tmp.file)
tmp.uk <- capture.output(krige(Co ~ X + Y, locations=jura.cal.6, newdata=jura.pt, model=vrmf, debug.level=32))
tmp.ok <- capture.output(krige(Co ~ 1, locations=jura.cal.6, newdata=jura.pt, model=vmf, debug.level=32))
# sink()


###################################################
### code chunk number 6: find.wts
###################################################
# tmp.uk <- scan(file=tmp.file, what="character", sep="\n")
str(tmp.uk)
(ix <- which(tmp.uk=="# kriging weights:"))
(n <- as.numeric(strsplit(tmp.uk[ix+1]," ")[[1]][2]))
uk.wt <- NULL; for (i in 1:n) uk.wt[i] <- as.numeric(strsplit(tmp.uk[ix+1+i],":")[[1]][2])
print(uk.wt)
(ix <- which(tmp.ok=="# kriging weights:"))
ok.wt <- NULL; for (i in 1:n) ok.wt[i] <- as.numeric(strsplit(tmp.ok[ix+1+i],":")[[1]][2])
print(ok.wt)
print(diff.wt <- round(uk.wt-ok.wt,4))


###################################################
### code chunk number 7: ex54.Rnw:142-158
###################################################
plot(coordinates(jura.cal.6), col="darkgreen",
     pch=20, asp=1, ylim=c(0,5),
     main="Kriging weights",
     sub="OK: black; UK: dark green")
grid()
text(coordinates(jura.cal.6)[,"X"],
     coordinates(jura.cal.6)[,"Y"],
     col="darkgreen", pos=2, round(uk.wt, 3))
text(coordinates(jura.cal.6)[,"X"],
     coordinates(jura.cal.6)[,"Y"],
     col="black", pos=4, round(ok.wt, 3))
text(coordinates(jura.cal.6)[,"X"],
     coordinates(jura.cal.6)[,"Y"],
     col="blue", pos=3, 1:6)
points(coordinates(jura.pt), col="red",
       cex=2, pch=20)


###################################################
### code chunk number 8: ex54.Rnw:169-173 (eval = FALSE)
###################################################
## # unlink(tmp.file)
## # rm(tmp.file)
## rm(ix, n, uk.wt, ok.wt, diff.wt)
## rm(jura.cal.6, jura.pt, k.pt)


###################################################
### code chunk number 9: ex54.Rnw:195-196
###################################################
rm(jura.cal.6, jura.pt, k.pt, ix, n, uk.wt, ok.wt, diff.wt)


