### R code from vignette source 'ex5a1.Rnw'

###################################################
### code chunk number 1: ex5a1.Rnw:19-23
###################################################
options(prompt="> ", continue="   ", digits=5, width=60, show.signif.stars=T)
par(mfrow=c(1,1))
rm(list=ls())
setwd("~/data/edu/dgeostats/ex")


###################################################
### code chunk number 2: ex5a1.Rnw:45-46 (eval = FALSE)
###################################################
## load("JuraEx4.RData")


###################################################
### code chunk number 3: ex5a1.Rnw:49-50
###################################################
load("/Users/rossiter/tmp/dgeostat/JuraEx4.RData")


###################################################
### code chunk number 4: ex5a1.Rnw:58-61
###################################################
require(sp)
require(gstat)
require(lattice)


###################################################
### code chunk number 5: ex5a1.Rnw:75-76
###################################################
str(jura.cal@data)


###################################################
### code chunk number 6: xtab
###################################################
table(jura.cal$Rock)
table(jura.cal$Land)
table(jura.cal$Rock, jura.cal$Land)


###################################################
### code chunk number 7: merge.classes
###################################################
jura.cal$Rock4 <- ifelse(jura.cal$Rock=="Argovian","Argo",
                         ifelse(jura.cal$Rock=="Sequanian","Seq",
                                ifelse(jura.cal$Rock=="Quaternary","Quat",
                                       "KimmPort")))
class(jura.cal$Rock4)
jura.cal$Rock4 <- as.factor(jura.cal$Rock4)
class(jura.cal$Rock4)
table(jura.cal$Rock4)
jura.cal$Land3 <- 
    ifelse(jura.cal$Land=="Forest","Forest",
           ifelse(jura.cal$Land=="Meadow","Meadow", "PasTill"))
jura.cal$Land3 <- as.factor(jura.cal$Land3)
table(jura.cal$Land3)


###################################################
### code chunk number 8: ex5a1.Rnw:175-183
###################################################
par(mfrow=c(1,2))
boxplot(Co ~ Rock4, data=jura.cal@data,
        varwidth=T, notch=T,
        main="Co (ppm) by rock type")
boxplot(Co ~ Land3, data=jura.cal@data,
        varwidth=T, notch=T,
        main="Co (ppm) by land use")
par(mfrow=c(1,1))


###################################################
### code chunk number 9: ex5a1.Rnw:222-224
###################################################
summary(mr <- lm(Co ~ Rock4, data=jura.cal@data))
summary(ml <- lm(Co ~ Land3, data=jura.cal@data))


###################################################
### code chunk number 10: ex5a1.Rnw:257-258
###################################################
summary(mrl <- lm(Co ~ Rock4 + Land3, data=jura.cal@data))


###################################################
### code chunk number 11: ex5a1.Rnw:263-264
###################################################
summary(mrli <- lm(Co ~ Rock4 * Land3, data=jura.cal@data))


###################################################
### code chunk number 12: ex5a1.Rnw:276-277
###################################################
anova(mrli, mrl, mr)


###################################################
### code chunk number 13: ex5a1.Rnw:369-371
###################################################
vr <- variogram(Co ~ Rock4, loc=jura.cal)
v <- variogram(Co ~ 1, loc=jura.cal)


###################################################
### code chunk number 14: ex5a1.Rnw:381-389
###################################################
gamma.max <- ceiling(max(v$gamma, vr$gamma))
plot.1 <- plot(vr, ylim=c(0,gamma.max),
               pl=T, main="Residual variogram, Co (ppm) ~ Rock4")
plot.2 <- plot(v, ylim=c(0,gamma.max),
               pl=T, main="Ordinary variogram, Co (ppm)")
print(plot.2, split=c(1,1,2,1), more=T)
print(plot.1, split=c(2,1,2,1), more=F)
rm(gamma.max, plot.1, plot.2)


###################################################
### code chunk number 15: ex5a1.Rnw:406-409
###################################################
vrm <- vgm(8, "Pen", 1.5, 2)
print(plot(vr, pl=T, model=vrm,
           main="Residual variogram Co (ppm) ~ Rock4, eyeball fit"))


###################################################
### code chunk number 16: ex5a1.Rnw:416-419
###################################################
(vrmf <- fit.variogram(vr, model=vrm))
print(plot(vr, pl=T, model=vrmf,
           main="Residual variogram Co (ppm) ~ Rock4, gstat fit"))


###################################################
### code chunk number 17: ex5a1.Rnw:425-430
###################################################
vmf; vrmf
vmf$range[2] - vrmf$range[2]
1 - (vmf$range[2] - vrmf$range[2])/vmf$range[2]
sum(vmf$psill); sum(vrmf$psill)
1 - sum(vrmf$psill)/sum(vmf$psill)


###################################################
### code chunk number 18: ex5a1.Rnw:474-476 (eval = FALSE)
###################################################
## load("Jura50.RData")
## summary(jura50)


###################################################
### code chunk number 19: ex5a1.Rnw:479-481
###################################################
load("~/tmp/dgeostat/Jura50.RData")
summary(jura50)


###################################################
### code chunk number 20: ex5a1.Rnw:495-496
###################################################
round(rbind(grid=table(jura50$Rock)/length(jura50$Rock),points=table(jura.cal$Rock)/length(jura.cal$Rock)),3)


###################################################
### code chunk number 21: ex5a1.Rnw:508-511
###################################################
map.rock <- spplot(jura50, zcol="Rock", col.regions=topo.colors(5), key.space="right", main="Jura 50m prediction grid, Rock type")
class(map.rock)
print(map.rock)


###################################################
### code chunk number 22: ex5a1.Rnw:518-520
###################################################
map.land <- spplot(jura50, zcol="Land", col.regions=bpy.colors(4), key.space="right", main="Jura 50m prediction grid, Land use")
print(map.land)


###################################################
### code chunk number 23: merge.jura50
###################################################
jura50$Rock4 <- ifelse(jura50$Rock=="Argovian","Argo",
                         ifelse(jura50$Rock=="Sequanian","Seq",
                                ifelse(jura50$Rock=="Quaternary","Quat",
                                       "KimmPort")))
jura50$Rock4 <- as.factor(jura50$Rock4)
table(jura50$Rock)
table(jura50$Rock4)


###################################################
### code chunk number 24: ex5a1.Rnw:584-585
###################################################
kr.50 <- krige(Co ~ Rock4, loc=jura.cal, newdata=jura50, model=vrmf)


###################################################
### code chunk number 25: ex5a1.Rnw:599-613
###################################################
plot.ked <- spplot(kr.50, zcol="var1.pred", 
             at=seq(0, ceiling(max(kr.50$var1.pred, na.rm=T)),
                by=1),
              col.regions=bpy.colors(64), key.space="right",
              main="KED predictions",
              sub="Co (ppm)")
plot.ked.v <- spplot(kr.50, zcol="var1.var",
             at=seq(0, ceiling(max(kr.50$var1.var, na.rm=T)),
                 by=1),
               col.regions=topo.colors(64), key.space="right",
               main="KED prediction variances",
               sub="Co (ppm^2)")
print(plot.ked, split=c(1,1,2,1), more=T)
print(plot.ked.v, split=c(2,1,2,1), more=F)


###################################################
### code chunk number 26: ex5a1.Rnw:622-625
###################################################
print(plot.ked, split=c(1,1,2,1), more=T)
map.rock4 <- spplot(jura50, zcol="Rock4", col.regions=topo.colors(4), key.space="right", main="Rock type")
print(map.rock4, split=c(2,1,2,1), more=F)


###################################################
### code chunk number 27: ex5a1.Rnw:634-635
###################################################
k.50 <- krige(Co ~ 1, loc=jura.cal, newdata=jura50, model=vmf)


###################################################
### code chunk number 28: ex5a1.Rnw:642-652
###################################################
stretch <- seq(0, ceiling(max(k.50$var1.pred, kr.50$var1.pred, na.rm=T)), by=1)
plot.ked <- spplot(kr.50, zcol="var1.pred", at=stretch,
              col.regions=bpy.colors(64),
              main="KED predictions, Rock type covariable",
              sub="Co (ppm)")
plot.ok <- spplot(k.50, zcol="var1.pred", at=stretch,
                  col.regions=bpy.colors(64),
                  main="OK predictions", sub="Co (ppm)")
print(plot.ked, split=c(1,1,2,1), more=T)
print(plot.ok, split=c(2,1,2,1), more=F)


###################################################
### code chunk number 29: ex5a1.Rnw:670-676
###################################################
stretch <- seq(0, ceiling(max(k.50$var1.var, kr.50$var1.var, na.rm=T)), by=1)
plot.ok.v <- spplot(k.50, zcol="var1.var", at=stretch,
                     col.regions=topo.colors(64), key.space=FALSE, main="OK variances", sub="Co (ppm^2)")
plot.ked.v <- spplot(kr.50, zcol="var1.var", at=stretch,
                     col.regions=topo.colors(64), key.space="right", main="KED variances", sub="Co (ppm^2)")
rm(stretch)


###################################################
### code chunk number 30: ex5a1.Rnw:679-681
###################################################
print(plot.ok.v, split=c(1,1,2,1), more=T)
print(plot.ked.v, split=c(2,1,2,1), more=F)


###################################################
### code chunk number 31: ex5a1.Rnw:697-704
###################################################
diff <- data.frame(d.pred = kr.50$var1.pred - k.50$var1.pred,
                   d.var = kr.50$var1.var - k.50$var1.var,
                   Rock4 = jura50$Rock4)
summary(diff)
coordinates(diff) <- coordinates(k.50)
gridded(diff) <- TRUE
fullgrid(diff) <- TRUE


###################################################
### code chunk number 32: ex5a1.Rnw:716-717
###################################################
print(histogram(~ diff$d.pred | diff$Rock4, col="lightblue"))


###################################################
### code chunk number 33: ex5a1.Rnw:737-743
###################################################
plot.diff <- spplot(diff,
zcol="d.pred", by=seq(-3.5, 3.5, by=0.5),
                    col.regions=heat.colors(64), key.space="right",
                    main="Difference KED-OK", sub="Co (ppm)")
print(plot.diff, split=c(1,1,2,1), more=T)
print(map.rock4, split=c(2,1,2,1), more=F)


###################################################
### code chunk number 34: ex5a1.Rnw:757-758
###################################################
summary(diff$d.var)


###################################################
### code chunk number 35: ex5a1.Rnw:777-780
###################################################
plot.diff.v <- spplot(diff, zcol="d.var", at=seq(-4.5, 4.5, by=0.25), col.regions=heat.colors(64), key.space="right", main="Variance difference KED-OK", sub="Co (ppm^2)")
print(plot.diff.v, split=c(1,1,2,1), more=T)
print(map.rock4, split=c(2,1,2,1), more=F)


###################################################
### code chunk number 36: ex5a1.Rnw:836-840
###################################################
rm(map.rock, map.land)
rm(plot.ok, plot.ked, plot.ok.v, plot.ked.v)
rm(plot.diff, plot.diff.v)
ls()


###################################################
### code chunk number 37: ex5a1.Rnw:847-848 (eval = FALSE)
###################################################
## save.image(file="JuraEx5a.RData")


###################################################
### code chunk number 38: ex5a1.Rnw:851-852
###################################################
save.image(file="/Users/rossiter/tmp/dgeostat/JuraEx5a.RData")


